<project name="evo-tool-build" default="tool-deploy"> 
	
	<import file="common/evo-app-build-common.xml" />
	
	<target name="deploy-default-tool" depends="app-create-jar">
		<mkdir dir="${deploy.project.dir}/lib.tools"/>
		<copy failonerror="false" verbose="true" file="${app.dist.dir}/${app.jar.name}" toDir="${deploy.project.dir}/lib.tools" />
	</target>
	
	<target name="deploy-to-project" if="deploy.project.dir">
		<antcall target="deploy-default-tool" />
	</target>
	
	<target name="tool-deploy" description="Deploys current version of evolute utilities" depends="load-static-properties">
		<input defaultvalue="${basedir}" addproperty="deploy.project.dir">
			<handler classpathref="lib.tools.classpath" classname="com.evolute.ant.ProjectInputHandler"  />
		</input>
		<antcall target="deploy-to-project" />
	</target>
	
</project>